<?php

/*

Plugin Name: Paginas de Captura WP

Plugin URI: http://wpmagicpages.com

Description: Super simple creador de paginas de captura de Wordpress!

Author: Carlos Cadena

Author URI: http://carloscadenaonline.com

Version: 1.3

*/

$wpoptins_plugin_name  = "Paginas de Captura WP";

$wpoptins_custom_image = "http://carloscadenaonline.com/wp-content/uploads/Baner2-480x1801.png";

$wpoptins_custom_text  = "Clic Aqui para Descargar Tu Reporte Gratuito";

$wpoptins_custom_url   = "http://carloscadenaonline.com/oportunidadnegocio/";

$wpoptins_support_url  = "http://wpmagicpages.com/soporte/";



############### DO NOT EDIT BELOW THIS LINE #############



define( 'WPOPTINS_VERSION', '1.3' );

define( 'WPOPTINS_URL', plugin_dir_url(__FILE__) );

define( 'WPOPTINS_PATH', plugin_dir_path(__FILE__) );

define( 'WPOPTINS_WP_PREFIX', $wpdb->prefix );

define( 'WPOPTINS_PLUGIN_NAME',$wpoptins_plugin_name);

define( 'WPOPTINS_CUSTOM_IMAGE',$wpoptins_custom_image);

define( 'WPOPTINS_CUSTOM_TEXT',$wpoptins_custom_text);

define( 'WPOPTINS_CUSTOM_URL',$wpoptins_custom_url);

define( 'WPOPTINS_SUPPORT_URL',$wpoptins_support_url);





$themeFolder = strstr(get_bloginfo('template_directory'),'wp-content/themes/');

if (!is_writable(ABSPATH.$themeFolder) and $_GET['activate']=='true'){

	add_action('admin_notices', 'wpoptins_not_writable',10,'');

}

function wpoptins_not_writable(){

$themeFolder = strstr(get_bloginfo('template_directory'),'wp-content/themes/');

echo '<div class="error"><p>The theme directory /'.$themeFolder.' is not writable. Set permissions on that folder to CHMOD 777 and re-activate the plugin.</p></div>';

}



function installWPOptins() {

	global $wpdb;



	$themeFolder = strstr(get_bloginfo('template_directory'),'wp-content/themes/');



	$installed_version = get_option( 'installed_version' );



		$templateDir = WPOPTINS_PATH . 'templates';

		$imageDir = WPOPTINS_PATH . 'templates/images';

		$themeFolder = strstr(get_bloginfo('template_directory'),'wp-content/themes/');

		

		if (is_writable(ABSPATH.$themeFolder) AND is_dir($templateDir) AND is_dir($imageDir)){



			$dh  = opendir($templateDir);

			while (false !== ($filename = readdir($dh))) {

				$templateFiles[] = $filename;

			}

			sort($templateFiles);



			unset($templateFiles['0'],$templateFiles['1']);

			foreach ( $templateFiles as $templateFile ) {

				@copy($templateDir . '/' . $templateFile, ABSPATH . $themeFolder . '/' . $templateFile);

			}



			$dh  = opendir($imageDir);

			while (false !== ($filename = readdir($dh))) {

				$imageFiles[] = $filename;

			}

			sort($imageFiles);



			unset($imageFiles['0'],$imageFiles['1']);

			@mkdir( ABSPATH . $themeFolder . '/wpoptins_images' );

			@chmod( ABSPATH . $themeFolder . '/wpoptins_images', 0777 );

			foreach ( $imageFiles as $imageFile ) {

				@copy($imageDir . '/' . $imageFile , ABSPATH . $themeFolder . '/wpoptins_images/' . $imageFile);            

			}

			@chmod( ABSPATH . $themeFolder . '/wpoptins_images', 0755 );

			update_option('installed_version', WPOPTINS_VERSION);

		}

}



function uninstallWPOptins() {



    global $wpdb;



    //  the id of our page...

    $squeeze_page_id = get_option( 'squeeze_page_id' );

    if( $squeeze_page_id ) {



        wp_delete_post( $squeeze_page_id ); // this will trash, not delete



    }



    delete_option("squeeze_page_title");

    delete_option("squeeze_page_name");

    delete_option("squeeze_page_id");



}



########## ADD CUSTOM FIELDS ##########



if($_POST['op']=='save'){

add_action('save_post', 'wpoptins_save_custom_meta');

}

add_action( 'admin_init', 'wpoptins_add_custom_box', 1 );



function wpoptins_add_custom_box(){

	add_meta_box('oaBox',WPOPTINS_PLUGIN_NAME.' >> Opciones','wpoptins_edit_custom_meta','page','normal','high');

}

function wpoptins_edit_custom_meta() {



	$postID = $post->ID;

	$wpoptins_warning_text=wpoptins_get_custom_meta("wpoptins_warning_text");

	$wpoptins_add_border=wpoptins_get_custom_meta("wpoptins_add_border");

	$wpoptins_form_code=wpoptins_get_custom_meta("wpoptins_form_code");

	$wpoptins_bg_color=wpoptins_get_custom_meta("wpoptins_bg_color");

	$wpoptins_table_color=wpoptins_get_custom_meta("wpoptins_table_color");

	$wpoptins_page_width=wpoptins_get_custom_meta("wpoptins_page_width");

	$wpoptins_round_border=wpoptins_get_custom_meta("wpoptins_round_border");

	$wpoptins_add_shadow=wpoptins_get_custom_meta("wpoptins_add_shadow");

	$wpoptins_image_url=wpoptins_get_custom_meta("wpoptins_image_url");

	$wpoptins_add_arrow=wpoptins_get_custom_meta("wpoptins_add_arrow");

	$wpoptins_add_arrows=wpoptins_get_custom_meta("wpoptins_add_arrows");

	$wpoptins_youtube_code=stripslashes(wpoptins_get_custom_meta("wpoptins_youtube_code"));

	include "customfields.php";

}



function wpoptins_save_custom_meta(){

	global $post;

	wpoptins_update_custom_meta("wpoptins_warning_text",trim($_POST['wpoptins_warning_text']));

	wpoptins_update_custom_meta("wpoptins_add_border",trim($_POST['wpoptins_add_border']));

	wpoptins_update_custom_meta("wpoptins_form_code",trim($_POST['wpoptins_form_code']));

	wpoptins_update_custom_meta("wpoptins_bg_color",trim($_POST['wpoptins_bg_color']));

	wpoptins_update_custom_meta("wpoptins_table_color",trim($_POST['wpoptins_table_color']));

	wpoptins_update_custom_meta("wpoptins_page_width",trim($_POST['wpoptins_page_width']));

	wpoptins_update_custom_meta("wpoptins_round_border",trim($_POST['wpoptins_round_border']));

	wpoptins_update_custom_meta("wpoptins_add_shadow",trim($_POST['wpoptins_add_shadow']));

	wpoptins_update_custom_meta("wpoptins_image_url",trim($_POST['wpoptins_image_url']));

	wpoptins_update_custom_meta("wpoptins_add_arrow",trim($_POST['wpoptins_add_arrow']));

	wpoptins_update_custom_meta("wpoptins_add_arrows",trim($_POST['wpoptins_add_arrows']));

	wpoptins_update_custom_meta("wpoptins_youtube_code",trim($_POST['wpoptins_youtube_code']));

}



function wpoptins_update_custom_meta($key,$value) {

	global $post;

	update_post_meta($post->ID, $key, $value);

}



// generic retrieve wrapper

function wpoptins_get_custom_meta($key) {

	global $post;

	return get_post_meta($post->ID, $key, true);

}

//Admin Menu

add_action('admin_menu','adminMenu');



function adminMenu() {

    add_menu_page(WPOPTINS_PLUGIN_NAME, WPOPTINS_PLUGIN_NAME,'administrator', 'wpoptins_setup', 'wpoptins_setup');        

    add_submenu_page( 'wpoptins_setup', WPOPTINS_PLUGIN_NAME." - Setup", 'Setup', 'administrator', 'wpoptins_setup', 'wpoptins_setup');

}

//setup

function wpoptins_setup(){

	include "setup.php";

}



//HOOKS



register_deactivation_hook(__FILE__, 'uninstallWPOptins');



register_activation_hook(__FILE__, 'installWPOptins');

?>